summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2011-05-30 22:57:36 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2011-05-30 22:57:36 (GMT)
commit3304d5c07725b64fbfa3c31dae161031c13c1e30 (patch)
tree070dc2408d5d8c650b2ffbe7feaad873c47fb192 /scripts
parent1c3c90d0d4cfcba7c144b149210e9d914f9244d6 (diff)
scripts/functions: do not abort on failed svn
In case of eglibc, some add-ons that were previously external are now internal (bundled with the main sources). So we do not want to fail if an add-on can't be downloaded; we want to post-pone the check until we can extract the main archive. So: - try to retrieve the add-on - if it fails, print a warning instead of calling CT_Abort - return 1 So, components that want to catch the error and want to handle it can, while components that do not will gracefuly fail thanks to our catching every errors. Bonus: it works without changing any existing retrieval procedure! :-) Signed-off-by: "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/functions5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/functions b/scripts/functions
index 9fc7b73..eca66b8 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -636,7 +636,10 @@ CT_GetSVN() {
CT_MktempDir tmp_dir
CT_Pushd "${tmp_dir}"
- CT_DoExecLog ALL svn export ${rev:+-r ${rev}} "${uri}" "${basename}"
+ if ! CT_DoExecLog ALL svn export ${rev:+-r ${rev}} "${uri}" "${basename}"; then
+ CT_DoLog WARN "Could not retrieve '${basename}'"
+ return 1
+ fi
CT_DoExecLog ALL tar cjf "${CT_TARBALLS_DIR}/${basename}.tar.bz2" "${basename}"
CT_SaveLocal "${CT_TARBALLS_DIR}/${basename}.tar.bz2"